html, body {
    /* use all available height, no margin, unlike the defaults */
    height: 100%;
    margin: 0px;
    padding: 0px;
    background: radial-gradient(ellipse at bottom, #b2ddf5 0%, #7bbbfc 100%);
    display: flex;
    flex-direction: column;
}

main {
    /* center the box horizontally */
    margin: 0 auto 1em;
    /* use most of the width, the rest is used for centering */
    width: 80%;
    /* stylish fat padding */
    padding: 1.5em;
    /* a bit of a yellowish color for the background + shadow */
    background-color: #FFFFFF;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

p, form {
    margin-left: 16px;
}

form {
    display: grid;
    grid-template-columns: max-content max-content;
    grid-gap: 5px;
}

form label {
    text-align: right;
}

footer {
    padding: 4px 16px 4px 16px;
    /* width: 100%; */
    border-top: 1px solid gray;
    /* background-color: #0000004f; */
    background-image: linear-gradient(#7d8d778f, #7d8d774f);
    /* margin-top: 16px; */
    margin-top: auto;
    text-shadow: 1px 1px 1px #0000004f;
}

footer h1, footer h2, footer h3, footer p {
    display: inline;
    margin: 0px;
}

.float-right {
    float: right;
}

.text-red {
    color: red;
}

.author {
    color: #0000006f;
    size: .5rem;
}